Subject: Problems installing rshd as a service on win2000
From: David Starks-Browning <[email-masked]>
To: "Muraru, Vladimir" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 31 Oct 2001 23:34:07 +0000

On Wednesday 31 Oct 01, Muraru, Vladimir writes:
> Hi,
> I downloaded and installed all the cygwin suite, we especially need
> rsh in order for our software to work properly. The problem is win2000
> Rsh is completelly unreliable, the service stop very often.
> I successfully installed inetd, but I wasn't able to install rshd as
> a service.
> I used cygrunsrv.exe to install the service and to start it after.
> When trying to start, it won't start, saying that it "cannot be started,
> and the service did not return an error, and that could be an internal
> Windows error or an internal service error".
> I install it with:
> cygrunsrv --install rshd --path /usr/sbin/in.rshd.exe

That's not how you start rshd.  Inetd invokes rshd according to
/etc/inetd.conf.  Did you read /usr/doc/Cygwin/inetutils-<ver>.README?
And the inetd (8) man page?

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/